# random-username-generator

Generates random usernames using the Mersenne Twister 19937 engine.

## Format

The generated usernames have the format `<random letters><random numbers>`, with count of numbers and total length being randomly generated within a certain range, which can be adjusted via command line arguments.

## Parameters

The following parameters can be specified:

- `--min-char` : The minimum number of characters (including numbers) (default: 8)
- `--max-char` : The maximum number of characters (including numbers) (default: 10)
- `--min-num`  : The minimum number of digits (default: 0)
- `--max-num`  : The maximum number of digits (default: 4)
- `--count`    : How many usernames should be generated (default: 1)
- `--seed`     : String used as seed sequence. If not defined, system time will be used instead.
